-- 使用方法:将本脚本里面的内容粘贴到$ORACLE_HOME/sqlplus/admin/glogin.sql 文件里面酒醒了

-- 设置sqlplus 默认的编辑器，本人经常使用vim，所以就设置了vim,不过vim没有经过配置，不怎么好使
define _editor=vi
-- 默认打开DBMS_OUTPUT
set serveroutput on size 1000000
-- 这条命令会去除文本两端的空格
set trimspool on
-- 设置选择LONG和CLOB列时显示的默认字节数
set long 5000
-- 设置sqlplus显示的文本宽度为100字符
set linesize 190
-- 设置自动显示执行计划
set autotrace on
-- 显示执行时间
set timing on
-- 设置sqlplus多久打印一次标题
set pagesize 9999
-- 设置AUTOTRACE输出的执行计划默认宽度，a80通常足以放下整个执行计划
column plan_plus_exp format a80
-- 用户名@实例名> 例如： EODA@ORAL>
set sqlprompt '&_user.@&_connect_identifier.> '
